## cascading.flow
Class StepGraph

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<FlowStep,Integer>
                  cascading.flow.StepGraph

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<FlowStep,Integer>, org.jgrapht.Graph<FlowStep,Integer>

    public class StepGraph

extends org.jgrapht.graph.SimpleDirectedGraph<FlowStep,Integer>

Class StepGraph is an internal representation of `FlowStep` instances.

See Also:
  Serialized Form

Method Summary
`org.jgrapht.traverse.TopologicalOrderIterator<FlowStep,Integer>` `getTopologicalIterator()`
`protected void` `printElementGraph(String filename)`
`void` `writeDOT(String filename)` Method writeDOT writes this element graph to a DOT file for easy vizualization and debugging.

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Method Detail

### getTopologicalIterator

    public org.jgrapht.traverse.TopologicalOrderIterator<FlowStep,Integer> getTopologicalIterator()

### writeDOT

    public void writeDOT(String filename)

  Method writeDOT writes this element graph to a DOT file for easy vizualization and debugging.

  Parameters:
    `filename` - of type String

### printElementGraph

    protected void printElementGraph(String filename)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.